SoapClient::__getLastResponse
SoapClient::__getTypes
SoapClient
PHP Manual

# SoapClient::__getLastResponseHeaders

(PHP 5 >= 5.0.1)

SoapClient::__getLastResponseHeaders — Returns the SOAP headers from the last response

### Description

public string SoapClient::__getLastResponseHeaders ( void )

Returns the SOAP headers from the last response.

> Note:

> This function only works if the SoapClient object was created with the trace option set to `TRUE`.

### Parameters

This function has no parameters.

### Return Values

The last SOAP response headers.

### Examples

Example #1 SoapClient::__getLastResponse() example

`<?php
$client = SoapClient("some.wsdl", array('trace' => 1));
$result = $client->SomeFunction();
echo "RESPONSE HEADERS:\n" . $client->__getLastResponseHeaders() . "\n";
?>`

### See Also

- SoapClient::__getLastRequestHeaders() - Returns the SOAP headers from the last request
- SoapClient::__getLastRequest() - Returns last SOAP request
- SoapClient::__getLastResponse() - Returns last SOAP response

SoapClient::__getLastResponse
SoapClient::__getTypes
SoapClient
PHP Manual